Package de.willuhn.jameica.hbci.gui.controller

# Class UmsatzDetailEditControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.UmsatzDetailControl
de.willuhn.jameica.hbci.gui.controller.UmsatzDetailEditControl

public class UmsatzDetailEditControl extends UmsatzDetailControl
Controller fuer die Detailansicht eines Umsatzes zum Bearbeiten.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzDetailEditControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getArt()`
Liefert ein Eingabe-Feld mit einem Text der Umsatz-Art.
`de.willuhn.jameica.gui.input.Input`
`getBetrag()`
Liefert ein Eingabe-Feld mit Betrag der Buchung,
`de.willuhn.jameica.gui.input.Input`
`getCreditorId()`
Liefert ein Eingabe-Feld für die Gläubiger-ID.
`de.willuhn.jameica.gui.input.Input`
`getCustomerRef()`
Liefert ein Eingabe-Feld mit der Kundenreferenz.
`de.willuhn.jameica.gui.input.Input`
`getDatum()`
Liefert ein Eingabe-Feld mit dem Datum der Buchung.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerBLZ()`
Liefert ein Eingabe-Feld mit der BLZ des Empfaengers.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerKonto()`
Liefert ein Eingabe-Feld mit dem Konto des Empfaengers.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerName()`
Liefert ein Eingabe-Feld mit dem Namen des Empfaengers.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerName2()`
Liefert ein Eingabe-Feld mit dem Namen des ultimativen Empfaengers.
`de.willuhn.jameica.gui.input.Input`
`getEndToEndId()`
Liefert ein Eingabe-Feld mit der EndToEnd-ID.
`de.willuhn.jameica.gui.input.Input`
`getGvCode()`
Liefert ein Eingabe-Feld fuer den GV-Code.
`de.willuhn.jameica.gui.input.Input`
`getMandateId()`
Liefert ein Eingabe-Feld mit der Mandatsreferenz.
`de.willuhn.jameica.gui.input.Input`
`getPrimanota()`
Liefert ein Eingabe-Feld mit dem Primanota-Kennzeichen.
`de.willuhn.jameica.gui.input.Input`
`getSaldo()`
Liefert ein Eingabe-Feld mit dem Saldo nach der Buchung.
`protected String`
`getUsage(boolean showAll)`
Ueberschrieben, um den Verwendungszweck bei Bedarf umgebrochen anzuzeigen.
`de.willuhn.jameica.gui.input.Input`
`getValuta()`
Liefert ein Eingabe-Feld mit dem Valuta der Buchung.
`de.willuhn.jameica.gui.input.Input`
`getZweck()`
Liefert ein Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getZweckSwitch()`
Liefert eine Checkbox, mit der man umschalten kann, ob man die vereinfachte Version des Verwendungszwecks angezeigt bekommt oder die ausfuehrliche.
`void`
`handleNext()`
Speichert den Umsatz und erstellt die naechste neue Buchung.
`boolean`
`handleStore()`
Speichert die editierbaren Properties.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.UmsatzDetailControl

`getAddressbookEntry, getKommentar, getKonto, getUmsatz, getUmsatzTyp`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzDetailEditControl

public UmsatzDetailEditControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getEmpfaengerName

public de.willuhn.jameica.gui.input.Input getEmpfaengerName() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit dem Namen des Empfaengers.

Overrides:
  `getEmpfaengerName` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getEmpfaengerName()`

### getEmpfaengerName2

public de.willuhn.jameica.gui.input.Input getEmpfaengerName2() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit dem Namen des ultimativen Empfaengers.

Overrides:
  `getEmpfaengerName2` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getEmpfaengerName2()`

### getEmpfaengerKonto

public de.willuhn.jameica.gui.input.Input getEmpfaengerKonto() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit dem Konto des Empfaengers.

Overrides:
  `getEmpfaengerKonto` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getEmpfaengerKonto()`

### getEmpfaengerBLZ

public de.willuhn.jameica.gui.input.Input getEmpfaengerBLZ() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit der BLZ des Empfaengers.

Overrides:
  `getEmpfaengerBLZ` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getEmpfaengerBLZ()`

### getBetrag

public de.willuhn.jameica.gui.input.Input getBetrag() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit Betrag der Buchung,

Overrides:
  `getBetrag` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getBetrag()`

### getSaldo

public de.willuhn.jameica.gui.input.Input getSaldo() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit dem Saldo nach der Buchung.

Overrides:
  `getSaldo` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getSaldo()`

### getZweck

public de.willuhn.jameica.gui.input.Input getZweck()
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld fuer den Verwendungszweck.

Overrides:
  `getZweck` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
See Also:
  - `UmsatzDetailControl.getZweck()`

### getDatum

public de.willuhn.jameica.gui.input.Input getDatum() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit dem Datum der Buchung.

Overrides:
  `getDatum` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getDatum()`

### getValuta

public de.willuhn.jameica.gui.input.Input getValuta() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit dem Valuta der Buchung.

Overrides:
  `getValuta` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getValuta()`

### getPrimanota

public de.willuhn.jameica.gui.input.Input getPrimanota() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit dem Primanota-Kennzeichen.

Overrides:
  `getPrimanota` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getPrimanota()`

### getArt

public de.willuhn.jameica.gui.input.Input getArt() throws RemoteException
Liefert ein Eingabe-Feld mit einem Text der Umsatz-Art.

Overrides:
  `getArt` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getCustomerRef

public de.willuhn.jameica.gui.input.Input getCustomerRef() throws RemoteException
Liefert ein Eingabe-Feld mit der Kundenreferenz.

Overrides:
  `getCustomerRef` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEndToEndId

public de.willuhn.jameica.gui.input.Input getEndToEndId() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit der EndToEnd-ID.

Overrides:
  `getEndToEndId` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getEndToEndId()`

### getMandateId

public de.willuhn.jameica.gui.input.Input getMandateId() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld mit der Mandatsreferenz.

Overrides:
  `getMandateId` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getMandateId()`

### getCreditorId

public de.willuhn.jameica.gui.input.Input getCreditorId() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld für die Gläubiger-ID.

Overrides:
  `getCreditorId` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getCreditorId()`

### getGvCode

public de.willuhn.jameica.gui.input.Input getGvCode() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert ein Eingabe-Feld fuer den GV-Code.

Overrides:
  `getGvCode` in class `UmsatzDetailControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getGvCode()`

### getZweckSwitch

public de.willuhn.jameica.gui.input.CheckboxInput getZweckSwitch() throws RemoteException
Description copied from class: `UmsatzDetailControl`
Liefert eine Checkbox, mit der man umschalten kann, ob man die vereinfachte Version des Verwendungszwecks angezeigt bekommt oder die ausfuehrliche.

Overrides:
  `getZweckSwitch` in class `UmsatzDetailControl`
Returns:
  Checkbox.
Throws:
  `RemoteException`
See Also:
  - `UmsatzDetailControl.getZweckSwitch()`

### getUsage

protected String getUsage(boolean showAll)
Ueberschrieben, um den Verwendungszweck bei Bedarf umgebrochen anzuzeigen.

Overrides:
  `getUsage` in class `UmsatzDetailControl`
Parameters:
  `showAll` - true, wenn der rohe Verwendungszweck angezeigt werden soll.
Returns:
  der anzuzeigende Verwendungszweck.
See Also:
  - `UmsatzDetailControl.getUsage(boolean)`

### handleStore

public boolean handleStore()
Description copied from class: `UmsatzDetailControl`
Speichert die editierbaren Properties.

Overrides:
  `handleStore` in class `UmsatzDetailControl`
Returns:
  true, wenn das Speichern erfolgreich war.
See Also:
  - `UmsatzDetailControl.handleStore()`

### handleNext

public void handleNext()
Speichert den Umsatz und erstellt die naechste neue Buchung.